Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360818 - "Load error! (parseerror)" in Policy Profiles and Policies explorers
Summary: "Load error! (parseerror)" in Policy Profiles and Policies explorers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Martin Hradil
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:ui
Depends On:
Blocks: 1360901
TreeView+ depends on / blocked
 
Reported: 2016-07-27 14:53 UTC by Beni Paskin-Cherniavsky
Modified: 2017-01-12 05:00 UTC (History)
9 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1360901 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:11:45 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the problem. (deleted)
2016-07-27 14:53 UTC, Beni Paskin-Cherniavsky
no flags Details


Links
System ID Priority Status Summary Last Updated
Github https://github.com/ManageIQ manageiq issues 10080 None None None 2016-07-27 14:53:46 UTC

Description Beni Paskin-Cherniavsky 2016-07-27 14:53:46 UTC
Created attachment 1184684 [details]
screenshot of the problem.

**Happens on current master AND DARGA.  Requesting blocker Z-stream clone.**

Description of problem:
Control -> Explorer -> Policy Profiles accordion doesn't expand under an event,
shows "Load error! (parseerror)" instead.

Also sometimes(?) happens in Policies accordion.

Version-Release number of selected component (if applicable):
darga (810a94fe507f27c5f727fe4df03a0c651e1e5d9e commit), and master.

https://github.com/ManageIQ/manageiq/pull/10026 is believed to be the culprit

Steps to Reproduce:
1. Go to Control -> Explorer -> Policy Profiles accordion
2. Try to expand everything e.g. the builtin OpenSCAP profile

Actual results:
shows "Load error! (parseerror)" instead.  (see screenshot)

Expected results:
Expands actions under events

https://github.com/ManageIQ/manageiq/issues/10080#issuecomment-235561491
There is another issue there (will open separate BZ),
together they break Control UI pretty badly.

Comment 2 Beni Paskin-Cherniavsky 2016-07-27 14:58:57 UTC
I meant https://github.com/ManageIQ/manageiq/issues/10080 (accidentally linked above to specific comment which is not relevant to this issue)

Comment 6 CFME Bot 2016-07-28 14:50:44 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/4df3f0bbbbf5cdeadd471841c6c3f25870581cd6

commit 4df3f0bbbbf5cdeadd471841c6c3f25870581cd6
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Jul 28 08:50:05 2016 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Jul 28 08:50:05 2016 +0000

    Make TreeBuilderPolicy and TreeBuilderPolicyProfile not lazy
    
    trees using the `:parents` feature (to get all the parents, instead of just the immediate one) rely on not being called lazily for it to work
    
    this makes TreeBuilderPolicy and TreeBuilderPolicyProfile explicitly not lazy
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1360818
    https://bugzilla.redhat.com/show_bug.cgi?id=1360901

 app/presenters/tree_builder_policy.rb               | 3 ++-
 app/presenters/tree_builder_policy_profile.rb       | 3 ++-
 spec/presenters/tree_builder_policy_profile_spec.rb | 9 +++++++++
 spec/presenters/tree_builder_policy_spec.rb         | 9 +++++++++
 4 files changed, 22 insertions(+), 2 deletions(-)
 create mode 100644 spec/presenters/tree_builder_policy_profile_spec.rb
 create mode 100644 spec/presenters/tree_builder_policy_spec.rb

Comment 7 CFME Bot 2016-07-28 16:35:47 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/112c55353861c527ea05ccc73f010ff0a1066199

commit 112c55353861c527ea05ccc73f010ff0a1066199
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Jul 28 08:50:05 2016 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Jul 28 12:49:28 2016 +0000

    Make TreeBuilderPolicy and TreeBuilderPolicyProfile not lazy
    
    trees using the `:parents` feature (to get all the parents, instead of just the immediate one) rely on not being called lazily for it to work
    
    this makes TreeBuilderPolicy and TreeBuilderPolicyProfile explicitly not lazy
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1360818
    https://bugzilla.redhat.com/show_bug.cgi?id=1360901

 app/presenters/tree_builder_policy.rb               | 3 ++-
 app/presenters/tree_builder_policy_profile.rb       | 3 ++-
 spec/presenters/tree_builder_policy_profile_spec.rb | 9 +++++++++
 spec/presenters/tree_builder_policy_spec.rb         | 9 +++++++++
 4 files changed, 22 insertions(+), 2 deletions(-)
 create mode 100644 spec/presenters/tree_builder_policy_profile_spec.rb
 create mode 100644 spec/presenters/tree_builder_policy_spec.rb

Comment 8 Dmitry Misharov 2016-09-23 08:09:41 UTC
Fixed and verified in 5.7.0.2.20160921112913_c5ff117. There is no more "parseerror" in OpenSCAP policies.


Note You need to log in before you can comment on or make changes to this bug.